Subject: Re: bug#2058: 23.0.60; bewildering behavior when visit new file throw.pdf

From: Kevin Rodgers <[email-masked]>
Date: Wed, 28 Jan 2009 01:48:02 -0700

Tassilo Horn wrote:
> Hi Alan & Drew,
> 
> I've made some changes:
> 
>   - I enhanced the docstring to mention what doc-view actually is.
> 
>   - If the file doesn't exist or is empty, then we fallback to ps-mode
>     or fundamental-mode, depending on the file name extension

Why not do something like

(let ((auto-mode-alist (remq (rassq 'doc-view-mode auto-mode-alist)
			     auto-mode-alist)))
   (normal-mode))

>   - If the images cannot be displayed (no png support, missing
>     conversion utility, tty frame), then the message is more explicit.
>     Now it says to which mode C-c C-c would switch, the C-c C-t message
>     was enhanced according to Alan's suggestion and it mentions `k'
>     which kills the buffer and stops a possibly running conversion.

-- 
Kevin Rodgers
Denver, Colorado, USA